---
schema_version: "1"
id: b7b248869f838a1ed0cd62e00322aecef19c0c62025a94f0769fdbf860241fef
title: Address
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/references/generated-api-specs/mc_rest_address.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_address
source_site: developer.salesforce.com
content_type: documentation
content_hash: 573e3510c8f1c12ec20ef6630208beb38ce444c780e83debfefb7bd11cf3e23d
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
Address

# Address

Validates email addresses to reduce the likelihood that sending an email to an address results in a bounce or spam complaint.

This table lists the use cases that the Email Address Validation API supports.

| Supported Use Case | HTTP Verb | URI |
| --- | --- | --- |
| Validate an email address | [POST](/docs/marketing/marketing-cloud/references/mc_rest_address?meta=Validate%2Ban%2Bemail%2Baddress) | /address/v1/validateEmail |

**Version:** 1

## Servers

*   `https://{subdomain}.rest.marketingcloudapis.com`
    *   `subdomain (default N/A) The unique API subdomain for your Marketing Cloud Engagement tenant. You can find this value in the Installed Packages section of Marketing Cloud Engagement Setup.`

## Operations

### POST Validates an email address

`POST /address/v1/validateEmail`

Operation ID: `validateEmail`.

Processes an email address through one or more validators. This operation can perform three types of validation:

*   `SyntaxValidator`: Validates that the email address includes a name, an at sign (@), and a domain.
*   `MXValidator`: Validates that a DNS mail exchange (MX) record exists on the domain of the email address.
*   `ListDetectiveValidator`: Validates the email address by using [List Detective](https://help.salesforce.com/s/articleView?id=mktg.mc_es_list_detective.htm), a proprietary database of email addresses that are known to be invalid or inactive.

#### Parameters

*   `Authorization` (header, string, required) A unique, time-limited token that you can use to issue requests to the Marketing Cloud Engagement API. Replace `YOUR_ACCESS_TOKEN` with your Marketing Cloud Engagement API authentication token.
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    

#### Request body (required)

An object that contains the address to validate and the types of validation to perform against it.

Media type: `application/json`. Schema: `validationRequestBody`.

#### Responses

*   **200** Provides the result of the validation tests specified in the request body. If the email address passed the validation tests, the `failedValidation` property isn’t included in the response. When an email address fails a validation test, we recommend that you stop sending email to that address. This step helps reduce your bounce and complaint rates.
    
    Media type: `application/json`. Schema: `validationFail`.
    
*   **400** Indicates that your request contained errors that prevented the validation process. When you receive a 400 response, verify that the request syntax is accurate. For example, this error can occur if you specify an invalid validator type.
    
    Media type: `application/json`. Schema: `internalError`.
    
    _Example_
    
    ```
    {
      "message": "JSON Deserialization Exception: Location Unknown",
      "errorcode": 10004,
      "documentation": ""
    }
    ```
    
*   **401** Indicates that Marketing Cloud Engagement wasn't able to authorize your request. When you receive a 401 response, verify that you obtained an authorization token and that the token is still valid.
    
    Media type: `application/json`. Schema: `httpError`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Not Found"
    }
    ```
    
*   **404** Indicates that the URI in your request couldn't be reached. When you receive a 404 response, verify that the request contains the correct endpoint URI.
    
    Media type: `application/json`. Schema: `httpError`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 404,
      "message": "Not Found"
    }
    ```
    
*   **500** Indicates that Marketing Cloud Engagement encountered an error when processing the request. When you receive a 500 response, verify that the request uses the correct syntax. Specifically, verify that the filter query uses the required syntax and that it uses only the supported fields.
    
    Media type: `application/json`. Schema: `httpError`.
    
    _Example_
    
    ```
    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Internal Server Error"
    }
    ```
    

## Schemas

### validationRequestBody

*   `email` (_string_) The email address to validate.
*   `validators` (_array of string_) An array that lists the validators to run against the specified email address.  
    Items: Allowed values: `SyntaxValidator`, `MXValidator`, `ListDetectiveValidator`.

_Example_

```
{
  "email": "rachel.rodriquez@example.com",
  "validators": [
    "SyntaxValidator",
    "MXValidator",
    "ListDetectiveValidator"
  ]
}
```

### validationFail

*   `email` (_string_) The email address that was processed for validation.
*   `valid` (_boolean_) If the value of this property is `true`, the email address passed all of the specified validations. If the value is `false`, the address failed one or more of the specified validations.
*   `failedValidation` (_string_) The validation test that the email address failed. If the email address passed all of the specified validations, this property isn’t included in the response.

_Example_

```
{
  "email": "rachel.rodriquez@example.com",
  "valid": false,
  "failedValidation": "ListDetectiveValidator"
}
```

### internalError

*   `documentation` (_string_) An empty string.
*   `errorcode` (_integer_) An internal error code.
*   `message` (_string_) The error message.

### httpError

*   `documentation` (_string_) Contains a link to [Marketing Cloud Engagement developer documentation about handling REST API errors](https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm).
*   `errorcode` (_integer_) The HTTP error code.
*   `message` (_string_) The error message.

### validationPass

*   `email` (_string_) The email address that was processed for validation.
*   `valid` (_boolean_) If the value of this property is `true`, the email address passed all of the specified validations. If the value is `false`, the address failed one or more of the specified validations.

_Example_

```
{
  "email": "rachel.rodriquez@example.com",
  "valid": true
}
```